MHSM Private Endpoint Connections - Delete

Deletes the specified private endpoint connection associated with the managed hsm pool.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/managedHSMs/{name}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2021-10-01

URI Parameters

Name In Required Type Description
name
path True
  • string

Name of the managed HSM Pool

privateEndpointConnectionName
path True
  • string

Name of the private endpoint connection associated with the managed hsm pool.

resourceGroupName
path True
  • string

Name of the resource group that contains the managed HSM pool.

subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client Api Version.

Responses

Name Type Description
200 OK

The private endpoint connection was successfully deleted.

202 Accepted

The private endpoint connection is being deleted.

Headers

  • Retry-After: integer
  • Location: string
204 No Content

The private endpoint connection does not exist.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ManagedHsmDeletePrivateEndpointConnection

Sample Request

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/managedHSMs/sample-mhsm/privateEndpointConnections/sample-pec?api-version=2021-10-01

Sample Response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/managedhsms/sample-vault/privateEndpointConnections/sample-pec",
  "name": "sample-pec",
  "type": "Microsoft.KeyVault/managedhsms/privateEndpointConnections",
  "properties": {
    "provisioningState": "Disconnected"
  }
}
Retry-After: 60
Location: https://some.endpoint.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/managedhsms/sample-mhsm/privateEndpointConnections/sample-pec?operationid=25334578

Definitions

ActionsRequired

A message indicating if changes on the service provider require any updates on the consumer.

CloudError

An error response from Key Vault resource provider

CloudErrorBody

An error response from Key Vault resource provider

identityType

The type of identity that created the key vault resource.

ManagedHsmSku

SKU details

ManagedHsmSkuFamily

SKU Family of the managed HSM Pool

ManagedHsmSkuName

SKU of the managed HSM Pool

MHSMPrivateEndpoint

Private endpoint object properties.

MHSMPrivateEndpointConnection

Private endpoint connection resource.

MHSMPrivateLinkServiceConnectionState

An object that represents the approval state of the private link connection.

PrivateEndpointConnectionProvisioningState

Provisioning state of the private endpoint connection.

PrivateEndpointServiceConnectionStatus

Indicates whether the connection has been approved, rejected or removed by the key vault owner.

SystemData

Metadata pertaining to creation and last modification of the key vault resource.

ActionsRequired

A message indicating if changes on the service provider require any updates on the consumer.

Name Type Description
None
  • string

CloudError

An error response from Key Vault resource provider

Name Type Description
error

An error response from Key Vault resource provider

CloudErrorBody

An error response from Key Vault resource provider

Name Type Description
code
  • string

Error code. This is a mnemonic that can be consumed programmatically.

message
  • string

User friendly error message. The message is typically localized and may vary with service version.

identityType

The type of identity that created the key vault resource.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

ManagedHsmSku

SKU details

Name Type Description
family

SKU Family of the managed HSM Pool

name

SKU of the managed HSM Pool

ManagedHsmSkuFamily

SKU Family of the managed HSM Pool

Name Type Description
B
  • string

ManagedHsmSkuName

SKU of the managed HSM Pool

Name Type Description
Custom_B32
  • string
Standard_B1
  • string

MHSMPrivateEndpoint

Private endpoint object properties.

Name Type Description
id
  • string

Full identifier of the private endpoint resource.

MHSMPrivateEndpointConnection

Private endpoint connection resource.

Name Type Description
etag
  • string

Modified whenever there is a change in the state of private endpoint connection.

id
  • string

The Azure Resource Manager resource ID for the managed HSM Pool.

location
  • string

The supported Azure location where the managed HSM Pool should be created.

name
  • string

The name of the managed HSM Pool.

properties.privateEndpoint

Properties of the private endpoint object.

properties.privateLinkServiceConnectionState

Approval state of the private link connection.

properties.provisioningState

Provisioning state of the private endpoint connection.

sku

SKU details

systemData

Metadata pertaining to creation and last modification of the key vault resource.

tags
  • object

Resource tags

type
  • string

The resource type of the managed HSM Pool.

MHSMPrivateLinkServiceConnectionState

An object that represents the approval state of the private link connection.

Name Type Description
actionsRequired

A message indicating if changes on the service provider require any updates on the consumer.

description
  • string

The reason for approval or rejection.

status

Indicates whether the connection has been approved, rejected or removed by the key vault owner.

PrivateEndpointConnectionProvisioningState

Provisioning state of the private endpoint connection.

Name Type Description
Creating
  • string
Deleting
  • string
Disconnected
  • string
Failed
  • string
Succeeded
  • string
Updating
  • string

PrivateEndpointServiceConnectionStatus

Indicates whether the connection has been approved, rejected or removed by the key vault owner.

Name Type Description
Approved
  • string
Disconnected
  • string
Pending
  • string
Rejected
  • string

SystemData

Metadata pertaining to creation and last modification of the key vault resource.

Name Type Description
createdAt
  • string

The timestamp of the key vault resource creation (UTC).

createdBy
  • string

The identity that created the key vault resource.

createdByType

The type of identity that created the key vault resource.

lastModifiedAt
  • string

The timestamp of the key vault resource last modification (UTC).

lastModifiedBy
  • string

The identity that last modified the key vault resource.

lastModifiedByType

The type of identity that last modified the key vault resource.